/*
 * Sonar, open source software quality management tool.
 * Copyright (C) 2008-2011 SonarSource
 * mailto:contact AT sonarsource DOT com
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.clouds.client.model;

import org.sonar.api.web.gwt.client.webservices.Resource;


public class CloudElement implements Comparable<CloudElement> {

  private Integer fontSize;
  private Float fontColor;
  private Resource resource;

  public CloudElement(Resource resource, Integer fontSize, Float fontColor) {
    this.resource = resource;
    this.fontSize = fontSize;
    this.fontColor = fontColor;
  }

  public Resource getResource() {
    return resource;
  }

  public Integer getFontSize() {
    return fontSize;
  }

  public Float getFontColor() {
    return fontColor;
  }

  public int compareTo(CloudElement cloudElement) {
    return resource.getName().compareTo(cloudElement.getResource().getName());
  }

}
